# Pix Director

The Pix Director represents the responsible officer for Pix operations in your institution, as required by the Brazilian Central Bank.

Here we will show you how to register them.

### The Pix Director Object

**Attributes**

| Name | Type | Description |
| --- | --- | --- |
| `name` | STRING | Full name of the director. |
| `taxId` | STRING | CPF of the director. |
| `phone` | STRING | Phone number of the director. |
| `email` | STRING | Email address of the director. |
| `password` | STRING | Password for director access. |
| `teamEmail` | STRING | Team email for Pix notifications. |
| `teamPhones` | LIST OF STRINGS | List of team phone numbers for Pix notifications. |
| `status` | STRING | Current registration status of the Pix director. Options: "success", "processing", "failed". |

### Create a Pix Director

`POST /v2/pix-director`

Register the Pix director for your institution as required by the Brazilian Central Bank.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `email` | REQUIRED | Email address of the director. |
| `name` | REQUIRED | Full name of the director. |
| `password` | REQUIRED | Password for director access. |
| `phone` | REQUIRED | Phone number of the director. |
| `taxId` | REQUIRED | CPF of the director. |
| `teamEmail` | REQUIRED | Team email for Pix notifications. |
| `teamPhones` | REQUIRED | List of team phone numbers for Pix notifications. |

**Request**

```python
import starkinfra

director = starkinfra.pixdirector.create(
    starkinfra.PixDirector(
        name="Jon Snow",
        tax_id="012.345.678-90",
        phone="+5511999999999",
        email="jon.snow@starkinfra.com",
        password="P@ssword1234",
        team_email="team@starkinfra.com",
        team_phones=["+5511888888888", "+5511777777777"]
    )
)

print(director)
```

**Response**

```python
PixDirector(
    id="5656565656565656",
    name="Jon Snow",
    tax_id="012.345.678-90",
    phone="+5511999999999",
    email="jon.snow@starkinfra.com",
    password="P@ssword1234",
    team_email="team@starkinfra.com",
    team_phones=["+5511888888888", "+5511777777777"],
    status="success"
)
```

## Available Languages

Code samples on this page are in Python. The same content is available with samples in:

- [Python](https://docs.starkinfra.com/api/v2/pix-director-python.md)
- [Node.js](https://docs.starkinfra.com/api/v2/pix-director-node.md)
- [PHP](https://docs.starkinfra.com/api/v2/pix-director-php.md)
- [Java](https://docs.starkinfra.com/api/v2/pix-director-java.md)
- [Ruby](https://docs.starkinfra.com/api/v2/pix-director-ruby.md)
- [Elixir](https://docs.starkinfra.com/api/v2/pix-director-elixir.md)
- [.NET](https://docs.starkinfra.com/api/v2/pix-director-dotnet.md)
- [Go](https://docs.starkinfra.com/api/v2/pix-director-go.md)
- [Clojure](https://docs.starkinfra.com/api/v2/pix-director-clojure.md)
- [cURL](https://docs.starkinfra.com/api/v2/pix-director-curl.md)
